<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Reader\Security\XmlScanner</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::">
            <span class="description"></span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___destruct" title="__destruct ::">
            <span class="description"></span><pre>__destruct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getInstance" title="getInstance ::">
            <span class="description"></span><pre>getInstance</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_scan" title="scan ::Scan the XML for use of &lt;!ENTITY to prevent XXE/XEE attacks.">
            <span class="description">Scan the XML for use of &lt;!ENTITY to prevent XXE/XEE attacks.</span><pre>scan</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_scanFile" title="scanFile ::Scan theXML for use of &lt;!ENTITY to prevent XXE/XEE attacks.">
            <span class="description">Scan theXML for use of &lt;!ENTITY to prevent XXE/XEE attacks.</span><pre>scanFile</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAdditionalCallback" title="setAdditionalCallback ::">
            <span class="description"></span><pre>setAdditionalCallback</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_shutdown" title="shutdown ::">
            <span class="description"></span><pre>shutdown</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_threadSafeLibxmlDisableEntityLoaderAvailability" title="threadSafeLibxmlDisableEntityLoaderAvailability ::">
            <span class="description"></span><pre>threadSafeLibxmlDisableEntityLoaderAvailability</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_disableEntityLoaderCheck" title="disableEntityLoaderCheck ::">
                                <span class="description"></span><pre>disableEntityLoaderCheck</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_toUtf8" title="toUtf8 ::">
                                <span class="description"></span><pre>toUtf8</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>XmlScanner</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>__construct</h2>
                            <pre>__construct( $pattern = &#039;&lt;!DOCTYPE&#039;)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pattern</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method___destruct"></a>
                        <div class="element clickable methodpublic method___destruct" data-toggle="collapse" data-target=".method___destruct .collapse">
                            <h2>__destruct</h2>
                            <pre>__destruct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_disableEntityLoaderCheck"></a>
                        <div class="element clickable methodprivate method_disableEntityLoaderCheck" data-toggle="collapse" data-target=".method_disableEntityLoaderCheck .collapse">
                            <h2>disableEntityLoaderCheck</h2>
                            <pre>disableEntityLoaderCheck()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getInstance"></a>
                        <div class="element clickable methodpublic method_getInstance" data-toggle="collapse" data-target=".method_getInstance .collapse">
                            <h2>getInstance</h2>
                            <pre>getInstance(\PhpOffice\PhpSpreadsheet\Reader\IReader $reader)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$reader</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.IReader.html">\PhpOffice\PhpSpreadsheet\Reader\IReader</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_scan"></a>
                        <div class="element clickable methodpublic method_scan" data-toggle="collapse" data-target=".method_scan .collapse">
                            <h2>Scan the XML for use of &lt;!ENTITY to prevent XXE/XEE attacks.</h2>
                            <pre>scan(mixed $xml): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$xml</h4>
                                                <code>mixed</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_scanFile"></a>
                        <div class="element clickable methodpublic method_scanFile" data-toggle="collapse" data-target=".method_scanFile .collapse">
                            <h2>Scan theXML for use of &lt;!ENTITY to prevent XXE/XEE attacks.</h2>
                            <pre>scanFile(string $filestream): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Reader\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$filestream</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAdditionalCallback"></a>
                        <div class="element clickable methodpublic method_setAdditionalCallback" data-toggle="collapse" data-target=".method_setAdditionalCallback .collapse">
                            <h2>setAdditionalCallback</h2>
                            <pre>setAdditionalCallback(callable $callback)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$callback</h4>
                                                <code>callable</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_shutdown"></a>
                        <div class="element clickable methodpublic method_shutdown" data-toggle="collapse" data-target=".method_shutdown .collapse">
                            <h2>shutdown</h2>
                            <pre>shutdown()</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_threadSafeLibxmlDisableEntityLoaderAvailability"></a>
                        <div class="element clickable methodpublic method_threadSafeLibxmlDisableEntityLoaderAvailability" data-toggle="collapse" data-target=".method_threadSafeLibxmlDisableEntityLoaderAvailability .collapse">
                            <h2>threadSafeLibxmlDisableEntityLoaderAvailability</h2>
                            <pre>threadSafeLibxmlDisableEntityLoaderAvailability()</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_toUtf8"></a>
                        <div class="element clickable methodprivate method_toUtf8" data-toggle="collapse" data-target=".method_toUtf8 .collapse">
                            <h2>toUtf8</h2>
                            <pre>toUtf8( $xml)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$xml</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_pattern"> </a>
                            <div class="element clickable propertyprivate property_pattern" data-toggle="collapse" data-target=".property_pattern .collapse">
                                <h2>String used to identify risky xml elements.</h2>
                                <pre>pattern :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_callback"> </a>
                            <div class="element clickable propertyprivate property_callback" data-toggle="collapse" data-target=".property_callback .collapse">
                                <h2>callback</h2>
                                <pre>callback :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_libxmlDisableEntityLoaderValue"> </a>
                            <div class="element clickable propertyprivate property_libxmlDisableEntityLoaderValue" data-toggle="collapse" data-target=".property_libxmlDisableEntityLoaderValue .collapse">
                                <h2>libxmlDisableEntityLoaderValue</h2>
                                <pre>libxmlDisableEntityLoaderValue :</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Reader\Security\XmlScanner"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Reader.Security.html">Security</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Reader.Security.XmlScanner.html">XmlScanner</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:54 +0000.<br/>
    </footer></body>
</html>
